# Bestille tilgang

Du må ha en tjenestebruker på formatet `Tje<DinTjeneste>_Melding` med rollen `TjeMeldingsformidler=Ekstern`. For å bestille tilgang, følg disse stegene: 

1. Gå til [Min Flyt (Direktelenke)](https://svvflytprod.service-now.com/esc?id=search&spa=1&q=tjenestebruker&disableAllSuggestions=false&disableSpellCheck=false), eller gå til Min Flyt og søk på _Tjenestebruker_.
2. Velg _Tjenestebruker i sentral katalog_.


## Fyll ut feltene:
- **Forespurt for**: Hvem som kan bestille tilgangen.  
- **Velg IT-løsning som skal hente ut/legge inn data (Konsument)**: Velg deres system som skal bruke Meldingsformidleren.  
- **Velg IT-løsning som skal være tilbyder/ bli konsumert (Konsumert IT-Løsning)**: Velg `Meldingsformidler`.  
- **Velg miljø du ønsker at tjenestebruker skal opprettes i**: Huk av for `STM`, `ATM` og `PROD`.  
- **Rollebehov**: Hvis dere har en rolle på formatet _Tje<DeresTjeneste_Melding>_, velger dere `Kunsumering av eksisterende tjeneste`, ellers velger dere `Konsumering av ny tjeneste (behov for ny rolle)`. Har dere en rolle fra før som slutter med __Meldingsformidler_ så må en ny rolle bestilles fordi dette er feil format.  
- **Oppgi navn på rolle**: `TjeMeldingsformidler`
- **Rolleverdi/innhold**: `Ekstern`  
- **URI for IT-løsningen som skal tilby tjenesten**: `https://meldingsmottak.atlas.vegvesen.no og https://meldingslogg.atlas.vegvesen.no`.    
- **Har forvalter/utvikler behov for tilgang til passord for tjenestebruker?**: `Ja`.  
- **Velg miljø som utvikler/forvalter skal ha passord til**: Huk av for `STM`. Vanligvis legger Atlas-folk inn secrets i appen for ATM og PROD. Tilpass til hvordan dere jobber.  
- **Oppgi navn på eksisterende PAM-gruppe for tilgang til passord**: Velg deres PAM-gruppe der dere vil ha lagret hemmeligheten. Se kapittel for PAM under for detaljer. 
- **Beskrivelse av flere/andre behov**: `Meldingsformidler og Meldingsmottak er under paraplyen Melding. Det er derfor ønskelig at tjenestebrukeren er på formatet Tje<VårTjeneste>_Melding. Format avtalt med Gøran Haugland.`  

### PAM-gruppe

PAM-gruppe er en brukergruppe som skal ha tilgang til hemmeligheten. En måte å finne ut hvilken grupper dere har er å:
1. Gå til http://pam.vegvesen.no.
2. Finn en hemmelighet som dere har tilgang til.
3. Velg _View Folder_:  
    ![Tilgang - Pam View Folder.png](images/Tilgang%20-%20Pam%20View%20Folder.png)
4. Se hvilke grupper som eksisterer. En av disse er Pam-gruppen du skal skrive i skjemaet. Her er et eksempel på grupper som har tilgang til mappen som heter _System_:  
    ![Tilgang - Pam Permissions.png](images/Tilgang%20-%20Pam%20Permissions.png).
