package no.vegvesen.meldingsformidler.extensions

object StringExtensions {
    internal fun String.requiredLength(range: IntRange, variableName: String) {
        require(this.length in range) { "$variableName must be between ${range.first}-${range.last} characters" }
    }

    internal fun Int.requiredLength(range: IntRange, variableName: String) {
        require(this in range) { "$variableName must be between ${range.first} and ${range.last}" }
    }

}
