package no.vegvesen.meldingsformidler

import ArbitraryTestData.arbitraryOffentligPostConfiguration
import org.junit.Assert.assertThrows
import org.junit.jupiter.api.Test
import java.time.LocalDate

class DokumentConfigurationTest {

    @Test
    fun `Offentelig Post configuration virkings dato must be whitin 5 days`() {
        assertThrows(IllegalArgumentException::class.java) {
            arbitraryOffentligPostConfiguration(virkningsdato = LocalDate.now().plusDays(6))
        }
    }
}