package no.vegvesen.meldingsformidler


enum class MeldingsformidlerEndpointHealth {
    Healthy,
    Unauthorized,
    NotFound,
    Unhealthy,
    NotReachable;

    companion object {
        fun fromStatusCode(statusCode: Int): MeldingsformidlerEndpointHealth = when (statusCode) {
            200 -> Healthy
            401 -> Unauthorized
            404 -> NotFound
            else -> Unhealthy
        }
    }
}