package no.vegvesen.meldingsformidler.send

import no.vegvesen.meldingsformidler.common.domain.MeldingUuid
import no.vegvesen.mottak.rest.dto.SendDokumentMeldingResponseV2
import no.vegvesen.mottak.rest.dto.SendEpostResponseV2

data class SentMelding(
    val id: MeldingUuid
) {
    companion object {
        fun SendEpostResponseV2.toInternal(): SentMelding =
            SentMelding(
                id = MeldingUuid(this.meldingUuid)
            )

        fun SendDokumentMeldingResponseV2.toInternal(): SentMelding =
            SentMelding(
                id = MeldingUuid(this.meldingUuid)
            )
    }
}

