package no.vegvesen.meldingsformidler.integrationtests

import ArbitraryTestData
import no.vegvesen.meldingsformidler.MeldingsformidlerClient
import no.vegvesen.meldingsformidler.MeldingsformidlerEnvironment
import no.vegvesen.meldingsformidler.send.DokumentInnhold
import no.vegvesen.meldingsformidler.send.DokumentMelding
import org.junit.jupiter.api.Disabled
import org.junit.jupiter.api.Test

@Disabled("Requires Mottak and Meldingslogg app to be running in chosen environment")
class SendCustomMelding {
    private val client = MeldingsformidlerClient(
        MeldingsformidlerEnvironment.Systemtest,
        MeldingsformidlerClientIntegrationTest.openAmClient(OpenAmEnvironment.Systemtest)
    )
    private val innhold = DokumentInnhold(
        tittel = "Custom melding",
        hoveddokument = ArbitraryTestData.arbitraryDokument(),
        vedlegg = listOf(ArbitraryTestData.arbitraryDokument()),
        bevis = null
    )
    private val mottaker = ArbitraryTestData.arbitraryPersonMottaker()
    private val melding = DokumentMelding(
        innhold = innhold,
        mottaker = mottaker,
        configuration = ArbitraryTestData.arbitraryDokumentConfiguration()
    )

    @Test
    fun `send custom melding`() {
        client.send(melding, ArbitraryTestData.randomIdempotencyKey())
    }
}
